// 完毕：
using System.IO;
using System.Drawing;
using System.Text.RegularExpressions;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Pdf.Annotations;
using GrapeCity.Documents.Pdf.TextMap;
using GrapeCity.Documents.Pdf.AcroForms;

namespace DsPdfWeb.Demos
{
    // 此示例演示了 GcPdfDocument.Redact() 方法的使用。
    // It加载由SlidePages示例生成的PDF，创建
    // 在第一页上编辑注释，然后应用它。
    public class RedactArea
    {
        public int CreatePDF(Stream stream)
        {
            var doc = new GcPdfDocument();
            using (var fs = File.OpenRead(Path.Combine("Resources", "PDFs", "SlidePages.pdf")))
            {
                // 加载包含密文注释的 PDF（标记为密文的区域）：
                doc.Load(fs);

                var rc = new RectangleF(16, 16, 280, 300);

                var redact = new RedactAnnotation()
                {
                    Rect = rc,
                    Page = doc.Pages[0],
                    OverlayText = "此内容已被标记为密文。",
                    OverlayFillColor = Color.PaleGoldenrod
                };

                // 应用编辑：
                doc.Redact(redact);

                // doc.Pages[0].Graphics.DrawRectangle(rc, Color.Red);

                // 完毕：
                doc.Save(stream);
                return doc.Pages.Count;
            }
        }
    }
}
